### Function

# AppStream utils_is_gui_environment_style

since: 1.0.0

#### Declaration [src]

    gboolean
    as_utils_is_gui_environment_style (
      const gchar* env_style
    )

#### Description [src]

Checks if the given identifier is a valid, known GUI environment style.

Available since: 1.0.0

#### Parameters

`env_style`

  Type: `const gchar*`

  A GUI environment style ID, e.g. “pantheon:dark”.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gboolean`

`TRUE` if the environment-style ID is is valid.